Subject: Re: bug in begin/end? replace?

From: [email-masked] (Jean Anderson)
Date: Wed, 21 Apr 93 15:38:26 -0700

Paul Aoki ([email-masked]) writes:
> (1) nat was looking for a way not to have to deal with aborts on
> deadlock.
> ... maybe the timeout value should be increased.  ...

Please don't increase the timeout!  In fact, I was looking for a way to 
reduce it. :-) I'll be happy to post code for timeout handling, such as
it is. Or send it to anybody who is interested (I realize not everybody
gets their jollies out of deadlock handling). 

> (2) nat and jean have both observed that multiple versions of
> one tuple can be visible at once in the course of an xact.
> ...                                                   i sent 
> nat and jean a copy of the new tqual.c to see if this does in 
> fact make their particular problem go away.. (mao!  come back 
> from vienna!)

The new tqual.c works (Thanks, Paul!). I no longer see duplicates. 

regards,

 -jean